Subject: mailbox index display compatibility bug with 3.93 and 3.94

From: Bill Alford <[email-masked]>
Date: Fri, 14 Jun 1996 15:05:08 -0700

There appears to be a fairly large compatibility problem with pine 3.93
and 3.94 with older mailboxes.  This was seen with the Solaris binary
distribution of both 3.93 and 3.94.
 
When displaying the index in older mailboxes/folders, the messages that
are from the user do not display as "To: <who sent to>" but as "<user's
name>".  Basicly it is not following the default behavior described in 
the help for the index-format configure option.  (index-format=STATUS 
MSGNO DATE FROMORTO(33%) SIZE SUBJECT(67%))
 
It looks like it is doing:
index-format=STATUS MSGNO DATE FROM(33%) SIZE SUBJECT(67%)
 
Newer folders seem to display correctly when using the default.
 
I tried explicitly listing the default configuration in index-format, 
but it didn't work.
 
I looked at the mail headers of the different folders and the only
difference that I can see is that the newer messages have the X-Sender
line.
 
Any help and pointers to fixes would be welcome.  We've already had two
people at our site complain about this.  Please email any responses 
directly to me.

Thanks,
	Bill

-- 
  Bill Alford --- [email-masked]        |
  Fred Hutchinson Cancer Research Center |  *your favorite quote here*
  1124 Columbia Street, B1-030           |
  Seattle, WA 98104   Ph# (206) 667-5499 |